<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: otLeaderData Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d8/d4b/structotLeaderData.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="../../d9/da9/structotLeaderData-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">otLeaderData Struct Reference<div class="ingroups"><a class="el" href="../../d0/d2d/group__api.html">API</a> &raquo; <a class="el" href="../../d8/dd2/group__diags.html">Diagnostics</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This structure represents the Thread Leader Data.  
 <a href="../../d8/d4b/structotLeaderData.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">include/openthread-types.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aaa3e7f0bf090e3757351e5b3ae90e04b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaa3e7f0bf090e3757351e5b3ae90e04b"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/structotLeaderData.html#aaa3e7f0bf090e3757351e5b3ae90e04b">mPartitionId</a></td></tr>
<tr class="memdesc:aaa3e7f0bf090e3757351e5b3ae90e04b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Partition ID. <br /></td></tr>
<tr class="separator:aaa3e7f0bf090e3757351e5b3ae90e04b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adabddaa91500e6f0b3b014bed363fe02"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adabddaa91500e6f0b3b014bed363fe02"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/structotLeaderData.html#adabddaa91500e6f0b3b014bed363fe02">mWeighting</a></td></tr>
<tr class="memdesc:adabddaa91500e6f0b3b014bed363fe02"><td class="mdescLeft">&#160;</td><td class="mdescRight">Leader Weight. <br /></td></tr>
<tr class="separator:adabddaa91500e6f0b3b014bed363fe02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accb302d03ae06ada49b04e046131c55f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="accb302d03ae06ada49b04e046131c55f"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/structotLeaderData.html#accb302d03ae06ada49b04e046131c55f">mDataVersion</a></td></tr>
<tr class="memdesc:accb302d03ae06ada49b04e046131c55f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Full Network Data Version. <br /></td></tr>
<tr class="separator:accb302d03ae06ada49b04e046131c55f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abad35a69062c149ae8d96452a8de73ce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abad35a69062c149ae8d96452a8de73ce"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/structotLeaderData.html#abad35a69062c149ae8d96452a8de73ce">mStableDataVersion</a></td></tr>
<tr class="memdesc:abad35a69062c149ae8d96452a8de73ce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stable Network Data Version. <br /></td></tr>
<tr class="separator:abad35a69062c149ae8d96452a8de73ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a953d05626b4e34803ee6a5e131aa62ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a953d05626b4e34803ee6a5e131aa62ea"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/structotLeaderData.html#a953d05626b4e34803ee6a5e131aa62ea">mLeaderRouterId</a></td></tr>
<tr class="memdesc:a953d05626b4e34803ee6a5e131aa62ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Leader Router ID. <br /></td></tr>
<tr class="separator:a953d05626b4e34803ee6a5e131aa62ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This structure represents the Thread Leader Data. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">openthread-types.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/d4b/structotLeaderData.html">otLeaderData</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
